=== debian/control ===
Source: ros-one-py-binding-tools
Section: misc
Priority: optional
Maintainer: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-geometry-msgs, ros-one-pybind11-catkin, ros-one-roscpp
Homepage: http://wiki.ros.org/py_binding_tools
Standards-Version: 3.9.2

Package: ros-one-py-binding-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-geometry-msgs, ros-one-roscpp
Description: Python binding tools for C++
