## ros-one-py-binding-tools 1.1.0-3noble.20251023.0137

=== debian/changelog ===
ros-one-py-binding-tools (1.1.0-3noble.20251023.0137) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 23 Oct 2025 01:37:22 +0000

ros-one-py-binding-tools (1.1.0-0noble) noble; urgency=high

  * Fix pybind11 deprecations
  * Bump cmake_minimum_required to 3.12
  * Remove undefined PYTHON_LIBRARIES
  * Add unit tests
  * Rename roscpp_initializer.* -> initializer.*
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 11 Aug 2025 00:00:00 -0000

ros-one-py-binding-tools (1.0.0-0noble) noble; urgency=high

  * Initial release factored out from https://github.com/ros-planning/moveit/pull/2910

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 05 Mar 2024 00:00:00 -0000
